summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-bad-free
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gst-plugins-bad-free')
-rw-r--r--source/l/gst-plugins-bad-free/1267.patch25
-rwxr-xr-xsource/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild4
2 files changed, 28 insertions, 1 deletions
diff --git a/source/l/gst-plugins-bad-free/1267.patch b/source/l/gst-plugins-bad-free/1267.patch
new file mode 100644
index 000000000..e467053c0
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/1267.patch
@@ -0,0 +1,25 @@
+From b83e85ab677c79b46f520abebd1ee031e3a139c0 Mon Sep 17 00:00:00 2001
+From: Heiko Becker <heirecka@exherbo.org>
+Date: Sun, 26 Sep 2021 21:34:30 +0200
+Subject: [PATCH] neon: Allow building against neon 0.32.x
+
+No API/ABI changes: https://github.com/notroj/neon/blob/0.32.0/NEWS#L3
+
+Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1267>
+---
+ subprojects/gst-plugins-bad/ext/neon/meson.build | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/subprojects/gst-plugins-bad/ext/neon/meson.build b/subprojects/gst-plugins-bad/ext/neon/meson.build
+index bf49be9111..abd9763649 100644
+--- a/subprojects/gst-plugins-bad/ext/neon/meson.build
++++ b/subprojects/gst-plugins-bad/ext/neon/meson.build
+@@ -1,4 +1,4 @@
+-neon_dep = dependency('neon', version: ['>= 0.27', '<= 0.31.99'],
++neon_dep = dependency('neon', version: ['>= 0.27', '<= 0.32.99'],
+ required : get_option('neon'))
+
+ if neon_dep.found()
+--
+GitLab
+
diff --git a/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
index bf8861504..f3a5038fd 100755
--- a/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
+++ b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-bad-free
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,6 +88,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/1267.patch.gz | patch -p3 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"